# $Revision: 1.8 $, $Date: 2006/03/12 22:45:47 $
Summary:	An application level gateway for the POP3 protocol
Summary(pl):	Brama warstwy aplikacji dla protokou POP3
Name:		p3scan
Version:	2.3.2
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/p3scan/%{name}-%{version}.tar.gz
# Source0-md5:	9f8decc7d4701228788e3c8717096ca0
Source1:	%{name}.init
Patch0:		%{name}-config.patch
URL:		http://p3scan.sourceforge.net/
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	pcre
Requires:	rc-scripts
# FIXME: which package in PLD provides 'netfilter' ?
#Requires:	netfilter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_sysconfdir	/etc/%{name}

%description
p3scan provides transparent antivirus scanner gateway for the POP3
protocol.

%description -l pl
p3scan dostarcza przezroczystej bramki antywirusowej dla protokou
POP3.

%prep
%setup -q
%patch0 -p1

%build
rm -fr ripmime/ripmime.a
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},/etc/rc.d/init.d,%{_mandir}/man8}
install -d $RPM_BUILD_ROOT{/var/spool/%{name}/{notify,children},/var/run/%{name}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{name}-*.mail $RPM_BUILD_ROOT%{_sysconfdir}
install %{name} $RPM_BUILD_ROOT%{_sbindir}
gzip -dc %{name}.8.gz > $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
gzip -dc %{name}_readme.8.gz > $RPM_BUILD_ROOT%{_mandir}/man8/%{name}_readme.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%triggerin -- clamav
chown -R clamav /var/spool/%{name}
chown -R clamav /var/run/%{name}

%triggerun -- clamav
if [ $2 = 0 ]; then
	chown -R root /var/spool/%{name}
	chown -R root /var/run/%{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG CONTRIBUTERS README TODO.list
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}-*.mail
%attr(770,root,mail) %dir /var/spool/%{name}
%attr(770,root,mail) %dir /var/spool/%{name}/notify
%attr(770,root,mail) %dir /var/spool/%{name}/children
%attr(770,root,mail) %dir /var/run/%{name}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p3scan.spec,v $
Revision 1.8  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.7  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.6  2006/01/22 03:25:21  hunter
- up to 2.3.2
- STBR SVP

Revision 1.5  2005/03/23 12:35:34  gotar
- %desc

Revision 1.4  2005/03/21 18:15:26  andree
- fixed triggerun
- rel. 2 STBR

Revision 1.3  2005/02/10 21:39:52  qboosh
- unified, cut template changelog

Revision 1.2  2005/02/09 21:14:57  andree
- added missing dir
- added triggers for clamav (un)install (p3scan need to be run on the
  same user as clamav is)
- added -config.patch for comment in config file
- rel. 1

Revision 1.1  2005/02/09 12:44:14  andree
- spec based on pop3vscan.spec
- rel. 0.1 need tests
